//***************************************************************************//
//*                                                                         *//
//* Unit:    drj_AuthorizationForm                                          *//
//* Author:  Dark Magus                                                     *//
//* Date:    17.09.01                                                       *//
//*                                                                         *//
//*            Dream   *//
//* Journal (v. 2.0).                                                       *//
//*                                                                         *//
//***************************************************************************//
unit drj_AuthorizationForm;

//-[ INTERFACE ]---------------------------------------------------------------
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,

  drj_Resources,
  drj_Types;

type Tfrm_Authorization = class (TForm)
    lbl_First  : TLabel;
    lbl_Second : TLabel;
    edt_First  : TEdit;
    edt_Second : TEdit;
    btn_Ok     : TButton;
    btn_Cancel: TButton;
    procedure edt_FirstChange (Sender : TObject);
  private

  public
    procedure SetInterface (flag : TAuthorizationFlag);

end;

//-[ IMPLEMENTATION ]----------------------------------------------------------
implementation

{$R *.DFM}

procedure Tfrm_Authorization.edt_FirstChange (Sender : TObject);
begin
  btn_Ok.Enabled := (edt_First.Text <> '');
end;

procedure Tfrm_Authorization.SetInterface (flag : TAuthorizationFlag);
begin
  case (flag) of
    afGetParameters:
      begin
        Caption := CAPTION_AUTHORIZATION;
        btn_Cancel.Visible := False;
        btn_Ok.Left := 72;
      end;
    afSetParameters:
      begin
        Caption := CAPTION_AUTHORIZATION_PARAMETERS;
      end;
  end;
end;

//-[ END ]---------------------------------------------------------------------
end.
